import { createApp } from 'vue'

import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'

import App from './App.vue'

import router from './router'

import './assets/item.css'

import store from '@/store';

import api from '@/request/api.js'

import i18n from './i18n/i18n.js'

import axios from 'axios';

const createVue = createApp(App)

createVue.config.globalProperties.$api = api

createVue.config.globalProperties.$axios = axios


//后期加入权限处理，参考msg/ui
createVue.use(ElementPlus).use(store).use(api).use(router).use(i18n)
console.log(i18n);
createVue.mount('#app')



